clear
clc

%datos experimentales
load identificacion6.mat

%definir número de periodos de muestreo
N=9999;

%orden del sistema
for n=1:6

    for k=n:N;
        Y(k-n+1,1)=yk(k+1);
        L=1;
       for m=n:-1:1
           PHIY(k-n+1,L)=yk(m+k-n);
           PHIU(k-n+1,L)=uk(m+k-n);
           L=L+1;
       end
    end

    PHI=[-PHIY PHIU];
    PRODPHI=PHI'*PHI;

    for j=1:n
        for k=1:n
            CHKPEI(j,k)=PRODPHI(n+j,n+k);
        end
    end

    det(CHKPEI)

    THETALS=inv(PHI'*PHI)*PHI'*Y
    
end

